Debian Bug report logs - #247695
New and improved /etc/resolvconf/update.d/dnsmasq

version graph

Package: dnsmasq; Maintainer for dnsmasq is Simon Kelley <simon@thekelleys.org.uk>; Source for dnsmasq is src:dnsmasq.

Reported by: Thomas Hood <jdthood@yahoo.co.uk>

Date: Thu, 6 May 2004 14:03:02 UTC

Severity: wishlist

Found in version 2.7-1

Fixed in version dnsmasq/2.7-2

Done: Simon Kelley <simon@thekelleys.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Simon Kelley <simon@thekelleys.org.uk>:
Bug#247695; Package dnsmasq. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
New Bug report received and forwarded. Copy sent to Simon Kelley <simon@thekelleys.org.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: New and improved /etc/resolvconf/update.d/dnsmasq
Date: Thu, 06 May 2004 15:47:20 +0200
Package: dnsmasq
Version: 2.7-1
Severity: wishlist

Here's a new /etc/resolvconf/update.d/dnsmasq which:

* Doesn't include nameservers listed in the lo.inet or lo.inet6 interface
  records created by "ifup lo"
* Lists addresses in a specified order (by interface name)
* Eliminates duplicate nameserver addresses
* Updates /var/run/dnsmasq/resolv.conf atomically
* Doesn't generate empty lines

Cheers!

#!/bin/bash
# Need bash because we use nullglob and GLOBIGNORE
#
# Script to update the resolver list for dnsmasq
#
# Assumption: On entry, the PWD contains the resolv.conf-type files
#
# Licensed under the GNU GPL.  See /usr/share/common-licenses/GPL.
#
# History
# June 2003 - May 2004: Written by Thomas Hood <jdthood@yahoo.co.uk>

set -e
PATH=/bin:/sbin
RUN_DIR="/var/run/dnsmasq"
RSLVRLIST_FILE="${RUN_DIR}/resolv.conf"
TMP_FILE="${RSLVRLIST_FILE}_new.$$"

[ -x /usr/sbin/dnsmasq ] || exit 0

[ -d "$RUN_DIR" ] || mkdir --parents --mode=0755 "$RUN_DIR"

# Stores arguments (minus duplicates) in RSLT, separated by spaces
# Doesn't work properly if an argument itself contain whitespace
uniquify()
{
	RSLT=""
	while [ "$1" ] ; do
		for E in $RSLT ; do
			[ "$1" = "$E" ] && { shift ; continue 2 ; }
		done
		RSLT="${RSLT:+$RSLT }$1"
		shift
	done
}

shopt -s nullglob
GLOBIGNORE="lo:lo.*"
uniquify eth* ath* wlan* ppp* *
RSLVCNFFILES="$RSLT"
 
NMSRVRS=""
if [ "$RSLVCNFFILES" ] ; then
	uniquify $(sed -n 's/^[[:space:]]*nameserver[[:space:]]\+//p' $RSLVCNFFILES)
	NMSRVRS="$RSLT"
fi

clean_up() { rm -f "$TMP_FILE" ; }
trap clean_up EXIT
: >| "$TMP_FILE"
for N in $NMSRVRS ; do echo "nameserver $N" >> "$TMP_FILE" ; done
mv -f "$TMP_FILE" "$RSLVRLIST_FILE"


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (800, 'testing'), (700, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.4.25
Locale: LANG=en_IE@euro, LC_CTYPE=en_IE@euro

Versions of packages dnsmasq depends on:
ii  libc6                       2.3.2.ds1-12 GNU C Library: Shared libraries an
ii  netbase                     4.16         Basic TCP/IP networking system

-- no debconf information



Reply sent to Simon Kelley <simon@thekelleys.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Hood <jdthood@yahoo.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 247695-close@bugs.debian.org (full text, mbox):

From: Simon Kelley <simon@thekelleys.org.uk>
To: 247695-close@bugs.debian.org
Subject: Bug#247695: fixed in dnsmasq 2.7-2
Date: Tue, 11 May 2004 17:47:05 -0400
Source: dnsmasq
Source-Version: 2.7-2

We believe that the bug you reported is fixed in the latest version of
dnsmasq, which is due to be installed in the Debian FTP archive:

dnsmasq_2.7-2.diff.gz
  to pool/main/d/dnsmasq/dnsmasq_2.7-2.diff.gz
dnsmasq_2.7-2.dsc
  to pool/main/d/dnsmasq/dnsmasq_2.7-2.dsc
dnsmasq_2.7-2_i386.deb
  to pool/main/d/dnsmasq/dnsmasq_2.7-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 247695@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Kelley <simon@thekelleys.org.uk> (supplier of updated dnsmasq package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 11 May 2004 22:35:12 +0000
Source: dnsmasq
Binary: dnsmasq
Architecture: source i386
Version: 2.7-2
Distribution: unstable
Urgency: low
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Changed-By: Simon Kelley <simon@thekelleys.org.uk>
Description: 
 dnsmasq    - A small caching DNS proxy and DHCP server.
Closes: 247695
Changes: 
 dnsmasq (2.7-2) unstable; urgency=low
 .
    * New version of resolvconf script from Thomas Hood with the
      following changes: (closes: #247695)
    * Doesn't include nameservers listed in the lo.inet or lo.inet6 interface
      records created by "ifup lo"
    * Lists addresses in a specified order (by interface name)
    * Eliminates duplicate nameserver addresses
    * Updates /var/run/dnsmasq/resolv.conf atomically
    * Doesn't generate empty lines
Files: 
 7f0d215c646f1fb89a94c9065d5a9660 523 net optional dnsmasq_2.7-2.dsc
 ccf27701b04f80639b3dd01d85b0f7b2 8087 net optional dnsmasq_2.7-2.diff.gz
 d2b48ce39189480f3542a76f10f4ba40 85358 net optional dnsmasq_2.7-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFAoUaQwEl0z99oB74RAhl4AKC1qgo4q2/7m8Xr/iX5ayXiyxSOmACgpw5M
0lX+tGG88FTSuwqxtBwKKTw=
=y9DG
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:09:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.